# This exists to generate paths for the in-game preload function that preloads images.
import os
from glob import glob

# From https://perials.com/getting-csv-files-directory-subdirectories-using-python/
PATH = os.getcwd()

all_img_files = []

for extension in ("*.gif", "*.png", "*.jpg", "*.jpeg"):
    add_imgs = [file
         for path, subdir, files in os.walk(PATH)
         for file in glob(os.path.join(path, extension))]
    all_img_files.extend(add_imgs)

for i in range(len(all_img_files)):
    all_img_files[i] = "assets" + all_img_files[i].split("assets")[1]

all_img_files = [i for i in all_img_files if "unused" not in i]

print(sorted(all_img_files))
